using System;

namespace Madjionicar
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] str = Console.ReadLine().Split();
            int n = int.Parse(str[0]);
            int k = int.Parse(str[1]);
            int[] a = new int[n];
            str = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(str[i]);
            }
            for(int i=0;i<n;i++)
            {
                if(a[i]==k && i!=n-1)
                {
                    Console.WriteLine(a[i + 1]);
                }
                else if(a[i]==k && i==n-1)
                {
                    Console.WriteLine(a[0]);
                }
            }
        }
    }
}